import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class MarketXyzContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    marketXyzComptroller({ address, network }: ContractOpts): import("./ethers").MarketXyzComptroller;
    marketXyzPoolDirectory({ address, network }: ContractOpts): import("./ethers").MarketXyzPoolDirectory;
    marketXyzPoolLens({ address, network }: ContractOpts): import("./ethers").MarketXyzPoolLens;
    marketXyzToken({ address, network }: ContractOpts): import("./ethers").MarketXyzToken;
}
export type { MarketXyzComptroller } from './ethers';
export type { MarketXyzPoolDirectory } from './ethers';
export type { MarketXyzPoolLens } from './ethers';
export type { MarketXyzToken } from './ethers';
